Last Comment Bug 327990 - rationalize calICalendar deleteItem and modifyItem w.r.t. occurrences
: rationalize calICalendar deleteItem and modifyItem w.r.t. occurrences
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Provider: CalDAV (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-20 20:21 PST by Dan Mosedale (:dmose)
Modified: 2006-11-09 10:06 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Dan Mosedale (:dmose) 2006-02-20 20:21:29 PST
It seems that the views currently expect to be able to, in some situations, call deleteItem() and modifyItem() with proxy items.  The storage provider currently handles this case, ICS, CalDAV, and memory do not.  

The first thing that needs to be done is that we need to decide on the exact semantics for all such cases.  An example of this is that in the storage provider, if you pass in a proxy to deleteItem, it assumes that this item must be an existing exception, and attempts to delete that exception.  However, the semantics for what the providers should do if this proxy is simply an existing, non-exception occurrence are not documented.
Comment 1 Michael Büttner (no reviews TFN) 2006-02-21 12:12:14 PST
please note that the patch for bug #327890 provides the functionality for ICS and memory provider to be able to handle proxies passed to deleteItem() and modifyItem(). I discussed with dmose in IRC today that we'll leave the calDAV provider as it is for the lightning 0.1 release, so this is basically out of the way.
Comment 2 Dan Mosedale (:dmose) 2006-02-27 23:00:52 PST
OK, the thing to be release noted here is the as-yet fixed CalDAV piece.
Comment 3 Dan Mosedale (:dmose) 2006-02-27 23:01:03 PST
OK, the thing to be release noted here is the as-yet fixed CalDAV piece.
Comment 4 Dan Mosedale (:dmose) 2006-02-27 23:14:47 PST
Er, "as-yet unfixed CalDAV piece".
Comment 5 Reed Loden [:reed] (use needinfo?) 2006-07-19 21:18:38 PDT
The bugspam monkeys have struck again. They are currently chewing on default assignees for Calendar. Be afraid for your sanity!
Comment 6 Matthew (lilmatt) Willis 2006-10-09 17:21:23 PDT
CalDAV was likely fixed in bug 328756.
Adding qawanted to verify that this is in fact fixed.
Comment 7 cmtalbert 2006-10-26 10:27:24 PDT
(In reply to comment #6)
> CalDAV was likely fixed in bug 328756.
> Adding qawanted to verify that this is in fact fixed.
> 
Could you add a comment explaining this? I don't see how bug 328756 fixed CalDAV. Further, it's not really clear what you want QA to verify in this situation.

Could you include some details about how to test this, or some lxr links to where this issue is represented in the code? That would help the QA team quite a bit. Thanks!
Comment 8 Joey Minta 2006-10-26 10:41:11 PDT
(In reply to comment #7)
> Could you add a comment explaining this? I don't see how bug 328756 fixed
> CalDAV. Further, it's not really clear what you want QA to verify in this
> situation.
The real bug is bug 328576. (inversion of 5 and 7).  To test this, check the modified single occurrences of repeating events (Edit this occurrence) are properly round-tripped from a caldav server.

Comment 9 Sebastian Schwieger 2006-11-05 18:14:44 PST
I tested modified recurrences with Cosmo 0.5 and the events are displayed correctly (also after restart). 
However, importing an ics file with modified occurrences does not yet work!
Comment 10 Sebastian Schwieger 2006-11-05 18:23:11 PST
(In reply to comment #9)
> However, importing an ics file with modified occurrences does not yet work!

But this is probably bug 354578.
Comment 11 Sebastian Schwieger 2006-11-09 10:03:27 PST
Resolving it fixed based on comment 6 and comment 9.

Note You need to log in before you can comment on or make changes to this bug.